﻿using System.Collections.Generic;
using HeuristicLab.Common;
using HeuristicLab.Core;
using HeuristicLab.Optimization;

namespace HeuristicLab.Problems.MultiObjectiveTestFunctions.Drawings {
  public interface IMOQualities :IItem, IStorableContent {
    int Objectives { get; set; }
    IEnumerable<double[]> Qualities { get; set; }
    IEnumerable<double[]> ParetoFront { get; set; }
    Individual[] Solutions { get; set; }
  }
}
